package com.clx.performance.dao.export;

import com.clx.performance.mapper.export.ExportFieldMapper;
import com.clx.performance.model.export.ExportField;
import com.msl.common.dao.BaseDao;

import java.util.List;

public interface ExportFieldDao extends BaseDao<ExportFieldMapper, ExportField, Integer> {

    List<ExportField> listFieldByTemplate(Integer templateId);

    List<ExportField> listFieldByFunctionCode(String functionCode);

    List<ExportField> listRequiredFieldByFunctionCode(String functionCode);
}
